| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Protected Attributes | List of all members
cv::TrackerTargetState Class Reference
Tracking API

Abstract base class for TrackerTargetState that represents a possible state of the target. More...

`#include <opencv2/tracking/tracker.hpp>`

Inheritance diagram for cv::TrackerTargetState:

## Public Member Functions
virtual | ~TrackerTargetState ()
int | getTargetHeight () const
| Get the height of the target. More...
Point2f | getTargetPosition () const
| Get the position. More...
int | getTargetWidth () const
| Get the width of the target. More...
void | setTargetHeight (int height)
| Set the height of the target. More...
void | setTargetPosition (const Point2f &position)
| Set the position. More...
void | setTargetWidth (int width)
| Set the width of the target. More...

## Protected Attributes
int | targetHeight
Point2f | targetPosition
int | targetWidth

## Detailed Description

Abstract base class for TrackerTargetState that represents a possible state of the target.

See [201] \(\hat{x}^{i}_{k}\) all the states candidates.

Inherits this class with your Target state, In own implementation you can add scale variation, width, height, orientation, etc.

## Constructor & Destructor Documentation

## ◆ ~TrackerTargetState()

virtual cv::TrackerTargetState::~TrackerTargetState | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ getTargetHeight()

int cv::TrackerTargetState::getTargetHeight | ( |  | ) | const

Get the height of the target.

Returns
  The height of the target

## ◆ getTargetPosition()

Point2f cv::TrackerTargetState::getTargetPosition | ( |  | ) | const

Get the position.

Returns
  The position

## ◆ getTargetWidth()

int cv::TrackerTargetState::getTargetWidth | ( |  | ) | const

Get the width of the target.

Returns
  The width of the target

## ◆ setTargetHeight()

void cv::TrackerTargetState::setTargetHeight | ( | int | height | ) |

Set the height of the target.

Parameters

  height | The height of the target

## ◆ setTargetPosition()

void cv::TrackerTargetState::setTargetPosition | ( | const Point2f & | position | ) |

Set the position.

Parameters

  position | The position

## ◆ setTargetWidth()

void cv::TrackerTargetState::setTargetWidth | ( | int | width | ) |

Set the width of the target.

Parameters

  width | The width of the target

## Member Data Documentation

## ◆ targetHeight

int cv::TrackerTargetState::targetHeight
| protected

## ◆ targetPosition

Point2f cv::TrackerTargetState::targetPosition
| protected

## ◆ targetWidth

int cv::TrackerTargetState::targetWidth
| protected

The documentation for this class was generated from the following file:

- opencv2/tracking/tracker.hpp